# QUndoView Class Reference

### [com.trolltech.qt.gui package]

Inherits QListView.

### Constructor

- void QUndoView(QUndoGroup group, QWidget parent)
- void QUndoView(QUndoStack stack, QWidget parent)
- void QUndoView(QWidget parent)

### Constructor Properties

- prototype: The QUndoView prototype object

### Prototype Object Properties

The QUndoView prototype object inherits properties from the QListView prototype object and also has the following properties.

- QUndoGroup group()
- QUndoStack stack()

### Instance Properties

QUndoView objects inherit properties from the QUndoView prototype object and also have the following properties.

- emptyLabel
- cleanIcon